%define fname	OpenCA-OCSPD

Summary:	OpenCA OCSP Daemon
Name:		openca-ocspd
Version:	1.0.3
Release:	3mdk
License:	GPL
Group:		System/Servers
URL:		http://www.openca.org/
Source0:	http://www.openca.org/ftp/ocspd/v0.6/%{fname}-%{version}.tar.bz2
Source1:	ocspd.init.bz2
Source2:	examples.tar.bz2
Patch0:		OpenCA-OCSPD-1.0.3-mdkconfig.diff.bz2
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:  openldap-devel
BuildRequires:  libsasl-devel
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The openca-ocspd is an RFC2560 compliant OCSPD responder. It can
be used to verify the status of a certificate using OCSP clients
(such as Mozilla/Netscape7).

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n %{fname}-%{version} -a2

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%patch0 -p1

bzcat %{SOURCE1} > ocspd.init

%build
export CFLAGS="%{optflags}"

export WANT_AUTOCONF_2_5=1
libtoolize --copy --force && \
aclocal-1.7 -I build --output=build/aclocal.m4 && \
automake-1.7 --add-missing --copy && \
autoconf --force && autoheader

%configure2_5x \
    --disable-engine \
    --enable-semaphores \
    --enable-flock \
    --with-openssl-prefix=%{_prefix} \
    --with-openldap-prefix=%{_prefix} \
    --with-ocspd-user=ocspd \
    --with-ocspd-group=ocspd \
    --with-openca-prefix=%{_datadir}/openca

# lib64 fix
find -type f -name "Makefile" | xargs perl -pi -e "s|%{_prefix}/lib|%{_libdir}|g"

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/ssl/ocspd/certs
install -d %{buildroot}%{_sysconfdir}/ssl/ocspd/private
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_localstatedir}/ocspd

make \
    DEST_BINDIR="%{buildroot}%{_bindir}" \
    DEST_DATADIR="%{buildroot}%{_datadir}/openca" \
    DEST_LIBDIR="%{buildroot}%{_libdir}" \
    DEST_MANDIR="%{buildroot}%{_mandir}" \
    DEST_SBINDIR="%{buildroot}%{_sbindir}" \
    DESTDIR="%{buildroot}" \
    install

# fix pid dir
install -d %{buildroot}/var/run/ocspd

# install a nicer sysv script
rm -rf %{buildroot}%{_sysconfdir}/init.d
rm -f %{buildroot}%{_initrddir}/ocspd
install -m0755 ocspd.init %{buildroot}%{_initrddir}/ocspd

cat > ocspd.sysconfig << EOF
# put options here
#OCSPD_OPTIONS=""
EOF

install -m0644 ocspd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/ocspd

# install some example certs
install -m0640 examples/certs/*.pem %{buildroot}%{_sysconfdir}/ssl/ocspd/certs/
install -m0640 examples/private/*.pem %{buildroot}%{_sysconfdir}/ssl/ocspd/private/

%pre
%_pre_useradd ocspd %{_localstatedir}/ocspd /bin/sh

%post
%_post_service ocspd

%preun
%_preun_service ocspd

%postun
%_postun_userdel ocspd

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%doc examples/index.txt examples/ocspd.conf
%attr(0755,root,root) %{_initrddir}/ocspd
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/ocspd.conf*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/ocspd
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/ssl/ocspd/certs/ocspcert.pem
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/ssl/ocspd/certs/key.pem
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/ssl/ocspd/certs/ocsp_key.pem
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/ssl/ocspd/certs/ocspd_cert.pem
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/ssl/ocspd/certs/cacert.pem
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/ssl/ocspd/certs/ocsp.pem
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/ssl/ocspd/private/ocspd_key.pem
%attr(0755,root,root) %{_sbindir}/ocspd
%{_mandir}/man3/ocspd*
%attr(0755,ocspd,ocspd) %dir %{_localstatedir}/ocspd
%attr(0755,ocspd,ocspd) %dir /var/run/ocspd

%changelog
* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-3mdk
- rebuilt against new openldap-2.3.6 libs

* Sun Aug 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-2mdk
- fix deps
- fix the ocspd.sysconfig file, duh!

* Wed Jun 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3
- rediff P0
- fix deps
- fix rpmlint errors
- fix naming of the initscript and such

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.5-3mdk
- rebuild for ldap2.2_7

* Fri Feb  4 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.5-2mdk
- rebuilt against new openldap libs

* Sun Jan 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.5-1mdk
- 0.6.5

* Tue Jan 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.4-1mdk
- 0.6.4
- added one lib64 fix

* Wed Jan 05 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1
- rediff P0
- added S2 taken from openca-ocspd-0.5.1
- misc spec file fixes

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.1-0.3mdk
- new tarball, same version

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.1-0.2mdk
- built for cooker

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.1-0.1mdk
- use a cvs snap

* Tue May 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.2-1mdk
- initial Mandrake package, used bits and pieces from the provided spec
  files and also from the latest work by Michael Bell
- added P0 and S1
